summaryrefslogtreecommitdiffstats
path: root/desktop/recoll
diff options
context:
space:
mode:
author Matteo Bernardini <ponce@slackbuilds.org>2021-05-16 10:31:23 +0200
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2021-05-17 08:49:47 +0700
commit1d3b7fc6bc96cf3f733981d1f1d1a5816219fb9c (patch)
treeefce71f4dfa5a4229c3929175959e254ebef4c1c /desktop/recoll
parent6845772a38dd12494da1fb6554b52e8cd501e375 (diff)
downloadslackbuilds-1d3b7fc6bc96cf3f733981d1f1d1a5816219fb9c.tar.gz
slackbuilds-1d3b7fc6bc96cf3f733981d1f1d1a5816219fb9c.tar.xz
desktop/recoll: Updated for version 1.31.0.
Signed-off-by: Matteo Bernardini <ponce@slackbuilds.org> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'desktop/recoll')
-rw-r--r--desktop/recoll/README14
-rw-r--r--desktop/recoll/recoll.SlackBuild47
-rw-r--r--desktop/recoll/recoll.info8
3 files changed, 38 insertions, 31 deletions
diff --git a/desktop/recoll/README b/desktop/recoll/README
index 009930aec3..44201a6ca1 100644
--- a/desktop/recoll/README
+++ b/desktop/recoll/README
@@ -1,14 +1,14 @@
Recoll is a personal full text search tool for Unix/Linux.
-It is based on the very strong Xapian backend, for which it provides an
+It is based on the very strong Xapian backend, for which it provides an
easy to use, feature-rich, easy administration, QT graphical interface.
Recoll is able to include several separate folders in its search.
To enable splitting of CamelCase words take a look in the SlackBuild
file. This feature is disabled by default.
-antiword, unrtf, untex and exiftool are runtime dependencies. You can
-build and run recoll without it, but recoll will keep nagging you about
-the missing helper tools. Without those tools recoll will be not usable
-for most people anyway, and these tools are quite small. But if you want
-to go without any of them you can do so at the time of writing. Your
-mileage may vary of course in the future.
+antiword, unrtf, untex, lxml, mutagen and exiftool are runtime deps.
+You can build and run recoll without it, but recoll will keep nagging
+you about the missing helper tools. Without those tools recoll will be
+not usable for most people anyway, and these tools are quite small.
+But if you want to go without any of them you can do so at the time of
+writing. Your mileage may vary of course in the future.
diff --git a/desktop/recoll/recoll.SlackBuild b/desktop/recoll/recoll.SlackBuild
index ef3a7762c0..12a2f805a1 100644
--- a/desktop/recoll/recoll.SlackBuild
+++ b/desktop/recoll/recoll.SlackBuild
@@ -24,29 +24,13 @@
# Modified by the SlackBuilds.org Project
PRGNAM=recoll
-VERSION=${VERSION:-1.22.3}
+VERSION=${VERSION:-1.31.0}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
-# from the official online documenatation:
-#
-# --enable-camelcase will enable splitting camelCase words. This is not enabled
-# by default as it has the unfortunate side-effect of making some phrase searches
-# quite confusing: ie, "MySQL manual" would be matched by "MySQL manual" and
-# "my sql manual" but not "mysql manual" (only inside phrase searches).
-#
-# to use this feature, set ENABLE_CAMELCASE to YES (default is to let it disabled)
-ENABLE_CAMELCASE=${ENABLE_CAMELCASE:-"NO"}
-
-if [ "$ENABLE_CAMELCASE" = "YES" ]; then
- CAMEL_CASE_CONFIG="--enable-camelcase"
-else
- CAMEL_CASE_CONFIG=""
-fi
-
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) ARCH=i486 ;;
+ i?86) ARCH=i586 ;;
arm*) ARCH=arm ;;
*) ARCH=$( uname -m ) ;;
esac
@@ -57,8 +41,8 @@ TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
@@ -71,6 +55,22 @@ else
LIBDIRSUFFIX=""
fi
+# from the official online documenatation:
+#
+# --enable-camelcase will enable splitting camelCase words. This is not enabled
+# by default as it has the unfortunate side-effect of making some phrase searches
+# quite confusing: ie, "MySQL manual" would be matched by "MySQL manual" and
+# "my sql manual" but not "mysql manual" (only inside phrase searches).
+#
+# to use this feature, set ENABLE_CAMELCASE to YES (default is to let it disabled)
+ENABLE_CAMELCASE=${ENABLE_CAMELCASE:-"NO"}
+
+if [ "$ENABLE_CAMELCASE" = "YES" ]; then
+ CAMEL_CASE_CONFIG="--enable-camelcase"
+else
+ CAMEL_CASE_CONFIG=""
+fi
+
set -e
rm -rf $PKG
@@ -86,6 +86,12 @@ find -L . \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
-o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+sed -i '1,1i#include <QAbstractItemView>' qtgui/ssearch_w.cpp || exit 1
+
+# Ugly hack, but it seems to work...
+sed -i "s|recoll\.pro)|recoll.pro ; sed -i 's, -fno-exceptions,,' Makefile)|" Makefile.in
+
+QMAKE=qmake-qt5 \
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure $CAMEL_CASE_CONFIG \
@@ -94,6 +100,7 @@ CXXFLAGS="$SLKCFLAGS" \
--sysconfdir=/etc \
--mandir=/usr/man \
--localstatedir=/var \
+ --enable-recollq \
--build=$ARCH-slackware-linux
make
diff --git a/desktop/recoll/recoll.info b/desktop/recoll/recoll.info
index fed0ea5259..22ccffc137 100644
--- a/desktop/recoll/recoll.info
+++ b/desktop/recoll/recoll.info
@@ -1,10 +1,10 @@
PRGNAM="recoll"
-VERSION="1.22.3"
+VERSION="1.31.0"
HOMEPAGE="https://www.lesbonscomptes.com/recoll/"
-DOWNLOAD="http://ponce.cc/slackware/sources/repo/recoll-1.22.3.tar.gz"
-MD5SUM="afb5dc53b9d2ac0c6bdaeb9cbd399c78"
+DOWNLOAD="http://ponce.cc/slackware/sources/repo/recoll-1.31.0.tar.gz"
+MD5SUM="f87e0137d6393f498e77693d4e7060f8"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
-REQUIRES="antiword unrtf exiftool untex"
+REQUIRES="antiword exiftool lxml mutagen unrtf untex"
MAINTAINER="titopoquito"
EMAIL="titopoquito@gmail.com"